Skip to content

Transfers a registration

Request

Transfers a registration registration from one contact to another, and updates downstream session, tickets, and course registrations

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

idstringrequired

The registration id

contactIdstringrequired

The destination contact

Bodyapplication/json

Options

send_confirmation_emailboolean(Send Confirmation Email)

Whether or not a confirmation email should be send to the target registrant

curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrations/{tenantId}/transfer/{id}/{contactId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "send_confirmation_email": true
  }'

Responses

Conflicts were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
add_membership_packageboolean(Add Membership Package)

Whether or not we add a membership package to this registration

add_onsArray of objects
badgeobject(Badge)
cancellation_datestring, (date-time)(Cancellation Date)required
checkin_datestring, (date-time)(Checkin Date)

The date/time of checkin

citystring(City)

The member city

contact_idstring(Contact)required

The contact ID of the registrant

countrystring(Country)

The member country

coupon_code_idstring(Coupon Code)

If a coupon code was used with this registration, it is linked here

coursesArray of objects
custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date of registration

deadline_idstring(Deadline)

The registration deadline

departure_datestring, (date-time)(Departure Date)

The date the person left the event

email_addressstring(Email Address)

The member's email address

embed_membership_applicationboolean(Embed Membership Application)

Whether or not to embed a whole membership application

event_end_datestring, (date-time)(Event End Date)

The date of the event

event_idstring(Event)required

The event

event_start_datestring, (date-time)(Event Start Date)

The date of the event

first_namestring(First Name)

The member's first name

functionsArray of objects
group_idstring(Group)

The group this registration belongs to

group_ordernumber, (float)(Group Order)

The order of the registration within the group

guestsArray of objects
idstring(ID)^[\w|-]+$required

The unique, string identifier of this registration group

internal_notesstring(Internal Notes)

Any applicable notes

is_guest_registrationboolean(Is Guest Registration)

Guest registration

is_transient_guestboolean(Is Transient Guest)

If set, the guest has no contact record

job_titlestring(Job Title)

The member job title

last_modification_datestring, (date-time)(Last Modification Date)

The last time that the registration was modified

last_namestring(Last Name)

The member's last name

meeting_join_urlstring(Meeting Join Url)

The URL used to join the meeting

meeting_participant_idstring(Meeting Participant)

The external ID of this registration in the linked meeting

membership_informationobject(Membership Information)required
modified_registration_idstring(Modified Registration)

If this registration is modifying another registration, that ID is here

namestring(Name)required

The member's name

notesstring(Notes)

Notes

numbernumber, (float)(Number)

The registration number

order_amount_paidnumber, (double)(Order Amount Paid)

The amount paid

order_balance_duenumber, (double)(Order Balance Due)

The balance due on the order

order_currency_codestring(Order Currency Code)
order_currency_symbolstring(Order Currency Symbol)
order_idstring(Order)

The order

order_line_item_idstring(Order Line Item)

The order line item

order_numbernumber, (float)(Order Number)

The order number

order_statusstring(Order Status)
Enum:"awaiting payment""awaiting pickup""awaiting shipping""cancelled""completed""disputed""open""partially shipped""returned""shipped"
order_totalnumber, (double)(Order Total)

The total of the order

organization_idstring(Organization)

The organization associated with this registration

package_idstring(Package)required

The registration package

parent_registration_guest_idstring(Parent Registration Guest)

The ID of the guest in the parent registration array

parent_registration_idstring(Parent Registration)

For guest registrations, the parent id

process_idstring(Process)

The registration process

registrant_acknowledges_scheduling_conflictsboolean(Registrant Acknowledges Scheduling Conflicts)

True if the registrant was presented with scheduling conflicts and acknowledged them

ribbon_idsArray of strings(Ribbons)

The ribbons on this registration

sessionsArray of objects
statestring(State)

The state

statusstring(Status)
Enum:"active""cancelled""draft""pending approval"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

type_idstring(Type)required

The registration type

webinar_join_urlstring(Webinar Join Url)

The URL used to join the webinar

webinar_participant_idstring(Webinar Participant)

The external ID of this registration in the linked webinar

Response
{ "add_membership_package": true, "add_ons": [ { … } ], "badge": { "first_name": "string", "full_name": "string", "job_title": "string", "location": "string", "organization_name": "string" }, "cancellation_date": "2019-08-24T14:15:22Z", "checkin_date": "2019-08-24T14:15:22Z", "city": "string", "contact_id": "string", "country": "string", "coupon_code_id": "string", "courses": [ { … } ], "custom_field_values": [ { … } ], "date": "2019-08-24T14:15:22Z", "deadline_id": "string", "departure_date": "2019-08-24T14:15:22Z", "email_address": "string", "embed_membership_application": true, "event_end_date": "2019-08-24T14:15:22Z", "event_id": "string", "event_start_date": "2019-08-24T14:15:22Z", "first_name": "string", "functions": [ { … } ], "group_id": "string", "group_order": 0.1, "guests": [ { … } ], "id": "string", "internal_notes": "string", "is_guest_registration": true, "is_transient_guest": true, "job_title": "string", "last_modification_date": "2019-08-24T14:15:22Z", "last_name": "string", "meeting_join_url": "string", "meeting_participant_id": "string", "membership_information": { "membership_package_id": "string" }, "modified_registration_id": "string", "name": "string", "notes": "string", "number": 0.1, "order_amount_paid": 0.1, "order_balance_due": 0.1, "order_currency_code": "string", "order_currency_symbol": "string", "order_id": "string", "order_line_item_id": "string", "order_number": 0.1, "order_status": "awaiting payment", "order_total": 0.1, "organization_id": "string", "package_id": "string", "parent_registration_guest_id": "string", "parent_registration_id": "string", "process_id": "string", "registrant_acknowledges_scheduling_conflicts": true, "ribbon_ids": [ "string" ], "sessions": [ { … } ], "state": "string", "status": "active", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "type_id": "string", "webinar_join_url": "string", "webinar_participant_id": "string" }